interface SerializeOptions {
    /** enable if you want to exclude functions in JSON.stringify */
    ignoreFunctions?: boolean;
    /** enable if you want to utilize JSON.stringify without a replacer function */
    plain?: boolean;
    /** enable if you want to allow the use of unsafe characters in JSON.stringify */
    unsafe?: boolean;
    /** enter the number of spaces to use in JSON.stringify */
    space?: number | string;
}

declare function serialize<O = Record<string, any>>(object: O | string | undefined, options?: SerializeOptions): string;

export { serialize };
